Categories:
  - Sports & Health
License: Apache-2.0
SourceCode: https://codeberg.org/corona-contact-tracing-germany/cwa-android
IssueTracker: https://codeberg.org/corona-contact-tracing-germany/cwa-android/issues
Changelog: https://codeberg.org/corona-contact-tracing-germany/cwa-android/src/branch/main/CHANGELOG.md
Liberapay: CCTG

RepoType: git
Repo: https://codeberg.org/corona-contact-tracing-germany/cwa-android.git
Binaries: https://bubu1.eu/cctg/fdroid/repo/de.corona.tracing_%c.apk

Builds:
  - versionName: 1.7.1.2
    versionCode: 1070102
    commit: v1.7.1.2
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.9.1.4
    versionCode: 1090104
    commit: v1.9.1.4
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.9.1.5
    versionCode: 1090105
    commit: v1.9.1.5
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.9.1.6
    versionCode: 1090106
    commit: v1.9.1.6
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.10.1.1
    versionCode: 1100101
    commit: v1.10.1.1
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.11.0.8
    versionCode: 1110008
    commit: v1.11.0.8
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.12.0.0
    versionCode: 1120005
    commit: v1.12.0.0
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.13.2.0
    versionCode: 1130200
    disable: broken
    commit: v1.13.2.0
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.13.2.3
    versionCode: 1130203
    commit: v1.13.2.3
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.3.6528147/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config.bin
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21d

  - versionName: 1.14.3.0
    versionCode: 1140300
    commit: v1.14.3.0
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.4.7075529/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21e

  - versionName: 1.15.1.0
    versionCode: 1150100
    commit: v1.15.1.0
    subdir: Corona-Warn-App
    gradle:
      - device
    prebuild: sed -i -e 's/21.2.6472646/21.4.7075529/' build.gradle
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
    scandelete:
      - protobuf/build
    ndk: r21e

  - versionName: 2.0.3.0
    versionCode: 2000300
    commit: v2.0.3.0
    subdir: Corona-Warn-App
    gradle:
      - device
    scanignore:
      - Corona-Warn-App/src/main/assets/default_app_config_android.bin
      - Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin
    scandelete:
      - protobuf/build
    ndk: r21e

MaintainerNotes: |-
    scanignored are some protobuf encoded config files, view them with:
    protoc --decode de.rki.coronawarnapp.server.protocols.internal.v2.ApplicationConfigurationAndroid \
    Server-Protocol-Buffer/src/main/proto/internal/v2/app_config_android.proto --proto_path \
    Server-Protocol-Buffer/src/main/proto/ < Corona-Warn-App/src/main/assets/default_app_config_android.bin

    And the pdf template for the qr code print version
    protoc --decode de.rki.coronawarnapp.server.protocols.internal.pt.QRCodePosterTemplateAndroid \
    Server-Protocol-Buffer/src/main/proto/internal/pt/qr_code_poster_template.proto --proto_path \
    Server-Protocol-Buffer/src/main/proto/ < Corona-Warn-App/src/main/assets/default_qr_code_poster_template_android.bin

AutoUpdateMode: None
UpdateCheckMode: Tags v\d+\.\d+\.\d+\.\d+$
CurrentVersion: 2.0.3.0
CurrentVersionCode: 2000300
